Subject: [AVT] Re: MPEG2-TS in RTP - RFC2250 vs ETSI TS 102 034

From: Girish Chandran <[email-masked]>
Date: Tue, 17 Oct 2006 13:25:37 -0400

I don't know if there is a best practice. A couple of remarks.

1. It may be that there is jitter in the incoming stream and what you 
observe is the jitter.
2. The timestamping of the RTP packets should take into account all the 
processing overhead in the RTP device.

Girish

[email-masked] wrote:
> Send avt mailing list submissions to
> 	[email-masked]
>
> To subscribe or unsubscribe via the World Wide Web, visit
> 	https://www1.ietf.org/mailman/listinfo/avt
> or, via email, send a message with subject or body 'help' to
> 	[email-masked]
>
> You can reach the person managing the list at
> 	[email-masked]
>
> When replying, please edit your Subject line so it is more specific
> than "Re: Contents of avt digest..."
>
>
> Today's Topics:
>
>    1. Re: MPEG2-TS in RTP - RFC2250 vs ETSI TS 102 034
>       (Nicholas J Humfrey)
>    2. I-D ACTION:draft-ietf-avt-compact-bundled-evrc-10.txt 
>       ([email-masked])
>
>
> ----------------------------------------------------------------------
>
> Message: 1
> Date: Mon, 16 Oct 2006 19:21:58 +0100
> From: Nicholas J Humfrey <[email-masked]>
> Subject: Re: [AVT] MPEG2-TS in RTP - RFC2250 vs ETSI TS 102 034
> To: Greg Herlein <[email-masked]>
> Cc: "Sandy \(Alexander\) MacInnis" <[email-masked]>,
> 	[email-masked]
> Message-ID: <[email-masked]>
> Content-Type: text/plain; charset=US-ASCII; delsp=yes; format=flowed
>
> I have had a similar problem with a tool I have written called  
> dvbshout - which takes a DVB Transport Stream and output RTP packets  
> (containing MPEG audio/payload type 14).
>
> I wanted the 90kHz clock of the RTP packets to stay in sync with the  
> PTS clock of the PES stream (so that if there was an error in the DVB  
> stream then the client could recover more easily).
>
> I calculated the RTP timestamp based on the bitrate of the audio and  
> then re-synced whenever I got a PES header. However depending on the  
> multiplex I was transceiving, I found the the two clocks kept  
> drifting in and out of sync...
>
> I found it very hard to calculate the 'correct' timestamp for the RTP  
> packets. What is the best practice?
>
>
> nick.
>
>   

_______________________________________________
Audio/Video Transport Working Group
[email-masked]
https://www1.ietf.org/mailman/listinfo/avt